Subject: bug#65602: 30.0.50; eshell-test/{elisp,subcommand}-reset-in-pipeline fails intermittently on macOS

From: Jim Porter <[email-masked]>
Date: Thu, 14 Sep 2023 12:33:32 -0700

On 9/14/2023 12:14 PM, Stefan Kangas wrote:
> I have sent the logs to you off-list.

Thanks for the logs. They're pretty large, so I'll have to take some 
extra time to look them over, but I'm beginning to wonder if there's a 
bug in process.c. In the logs for em-unix-tests, I see messages for the 
start of the "echo" process and its sentinel, but nothing for the output 
filter, even though we *should* be getting output. I'll keep thinking 
about this, and possibly add some further instrumentation to narrow this 
down...